Function ULP(x)
real(8) x, ulp
! Computes ULP(x) for a real*8 x: 
! ULP(x) =the smallest number that added to x, rounds to a number >x.
! exponent(x): exponentul lui x in modelul de reprezentare (sttintific).

ULP =2.D0**(exponent(x) -53)
END
